    Program x04bafe

!     X04BAF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: x04baf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nout = 6
!     .. Local Scalars ..
      Character (40)                   :: rec
!     .. Executable Statements ..
      Write (nout,*) 'X04BAF Example Program Results'

      Write (nout,*)
      Write (rec,99999) 'This record was output by X04BAF'
      Flush (nout)

      Call x04baf(nout,rec)

99999 Format (1X,A)
    End Program x04bafe
